## palemoon 31.1.0

=== debian/changelog ===
palemoon (31.1.0-1.gtk3.mx21) mx; urgency=medium

  * Major development update, focusing on media support, browser stability,
    performance and web compatibility:
    - Changes/fixes:
      - Added Mojeek as an additional search engine in the browser. See
        implementation notes.
      - Implemented "nullish coalescing operator" (thanks, FranklinDM!) for web
        compatibility.
      - Fixed various crash scenarios in XPCOM.
      - Fixed an important stability and performance issue related to hardware
        acceleration.
      - Fixed a long-standing issue where overly-long address bar tooltips
        wouldn't break into multiple lines but instead cut off on the right
        side.
      - Fixed a long-standing issue where dynamic datalist updates for <select>
        and similar elements wouldn't properly update the option list.
      - Disabled broken links to MDN articles in developer tools.
      - Updated media support to include support for libavcodec 59/FFmpeg 5.0
        for MP4 playback on Linux (thanks, Travis!)
      - Enabled the date picker for <input type=date>. See implementation notes.
      - Re-enabled the use of FIPS mode for NSS. See implementation notes.
      - Improved memory handling and memory safety in the JavaScript engine,
        further reducing current and future crash scenarios.
      - Improved memory handling in the graphics subsystem of Goanna.
      - Updated FFvpx to v4.2.7
      - Slightly reduced strictness of media checking for improved compatibility
        with questionable "gif" video encoders used on major websites.
      - Cleaned up the way file pickers (file open/save/save as dialogs) are
        handled on Windows.
      - Restored the gMultiProcessBrowser property of the browser for Firefox
        extension compatibility. See implementation notes.
      - Improved the way data is transferred to and from canvases to prevent
        memory safety issues.
      - Updated NSS to 3.52.6 to address security issues.
      - Reduced blocking severity for some extensions that were marked hard
        blockers for GRE (but aren't for UXP).
      - Security issues addressed: CVE-2022-31739, CVE-2022-31741, and other
        security issues that do not have a CVE number.
      - UXP Mozilla security patch summary: 2 fixed, 1 DiD, 26 not applicable.
  * debian/control:
    - lsb-release no longer required as build-depend for conditionals in rules.
    - add libavcodec59 as an alternative dependency now that it's supported.
    - bump minimum debhelper required to 10.
    - bump minimum BD for g++ required to 7.
  * Different versions of mozconfig are no longer required, as parallel builds
    are fixed with all distreleases.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 Jun 2022 14:23:33 -0700

palemoon (31.0.0-1.gtk2) obs; urgency=medium

  * Major milestone release:
    - Once again accepts the installation of legacy Firefox extensions alongside
      own Pale Moon exclusive extensions. As always, please note that using
      extensions for an old version of a different browser is entirely at your
      own risk and we obviously cannot and will not provide much (if any)
      support for their use. Firefox extensions will be indicated with an
      orange dot in the Add-ons Manager in the browser. This will include the
      converted extensions for the few of you who are coming from recalled
      versions with -fxguid suffixes.
    - Implemented Global Privacy Control, taking the place of the unenforceable
      "DNT" (Do Not Track) signal. Through GPC, you indicate to websites that
      you do not want them to share or sell your data.
    - Implemented "optional chaining" (thanks, FranklinDM!).
    - Implemented setBaseAndExtent for text selections.
    - Implemented queueMicroTask() "pseudo-promise" callbacks.
    - Implemented accepting unit-less values for rootMargin in Intersection
      observers for web compatibility, making it act more like CSS margin as one
      would expect.
    - Improvements to CSS grid and flexbox rendering and display following spec
      changes and improving web compatibility.
    - Improved performance of parallel web workers in JavaScript.
    - Improved display of cursive scripts (on Windows). Good-bye Comic Sans!
    - Updated various in-tree libraries.
    - "Default browser" controls in preferences has been moved to "General".
    - Added support for extended VPx codec strings in media delivery via
      MSE (RFC-6381).
    - Fixed a long-time regression where the browser would no longer honor
      old-style body and iframe body margins when indicated in the HTML tags
      directly instead of CSS. This improves compatibility with particularly old and/or archived websites.
    - Fixed several crashes and stability issues.
    - Added a licensing screen to the Windows installer to clarify the browser's
      licensing. In other installations, you may find this licensing statement
      in the added license.txt file in the browser installation location.
    - Removed all Google SafeBrowsing/URLClassifier service code.
    - Restored Mac OS X code and buildability in the platform.
    - Removed the non-standard ArchiveReader DOM API that was only ever a
      prototype implementation from the platform. This potentially improves
      performance on some systems.
    - Removed leftover Electrolysis controls that could sometimes trick parts of
      the browser into starting in a (very broken) multi-process mode due to
      some plumbing for it still being present, if users would try to force the
      issue with preferences. Obviously, this was a footgun for power users.
    - Removed more Android/Fennec code (on-going effort to clean up our code).
    - Removed the Marionette automated testing framework.
    -  Security issues addressed: CVE-2022-29915, CVE-2022-29911, and several
       issues that do not have a CVE number.

