## palemoon 31.1.1

=== debian/changelog ===
palemoon (31.1.1-1.gtk3.mx21) mx; urgency=medium

  * Security update:
    - Updated the list of blocked external protocol handlers to combat abuse of
      OS-supplied services on Windows.
    - Fixed a potential issue with revoked site certificates when connecting
      through a proxy.
    - Updated NSS to 3.52.7 to pick up some security fixes.
    - Updated site-specific user agent overrides to work around bad sniffing
      practices of dropbox and vimeo.
    - Security issues addressed: CVE-2022-34478, CVE-2022-34476,
      CVE-2022-34480 DiD, CVE-2022-34472, CVE-2022-34475 DiD,
      CVE-2022-34473 DiD, CVE-2022-34481 and a memory safety issue that doesn't
      have a CVE number.
    - UXP Mozilla security patch summary: 4 fixed, 4 DiD, 2 rejected, 11
      not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 09 Jul 2022 11:24:57 -0700

palemoon (31.1.0-1.1.gtk3) obs; urgency=medium

  * Revert to debhelper compat 9, bumping up to 10 causes FTBFS in bookworm,
    Sid, and 22.04 builds for unknown reasons in dh_autoreconf.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 08 Jun 2022 14:04:39 -0700

palemoon (31.1.0-1.gtk3) obs; urgency=medium

  * Major development update, focusing on media support, browser stability,
    performance and web compatibility:
    - Changes/fixes:
      - Added Mojeek as an additional search engine in the browser. See
        implementation notes.
      - Implemented "nullish coalescing operator" (thanks, FranklinDM!) for web
        compatibility.
      - Fixed various crash scenarios in XPCOM.
      - Fixed an important stability and performance issue related to hardware
        acceleration.
      - Fixed a long-standing issue where overly-long address bar tooltips
        wouldn't break into multiple lines but instead cut off on the right
        side.
      - Fixed a long-standing issue where dynamic datalist updates for <select>
        and similar elements wouldn't properly update the option list.
      - Disabled broken links to MDN articles in developer tools.
      - Updated media support to include support for libavcodec 59/FFmpeg 5.0
        for MP4 playback on Linux (thanks, Travis!)
      - Enabled the date picker for <input type=date>. See implementation notes.
      - Re-enabled the use of FIPS mode for NSS. See implementation notes.
      - Improved memory handling and memory safety in the JavaScript engine,
        further reducing current and future crash scenarios.
      - Improved memory handling in the graphics subsystem of Goanna.
      - Updated FFvpx to v4.2.7
      - Slightly reduced strictness of media checking for improved compatibility
        with questionable "gif" video encoders used on major websites.
      - Cleaned up the way file pickers (file open/save/save as dialogs) are
        handled on Windows.
      - Restored the gMultiProcessBrowser property of the browser for Firefox
        extension compatibility. See implementation notes.
      - Improved the way data is transferred to and from canvases to prevent
        memory safety issues.
      - Updated NSS to 3.52.6 to address security issues.
      - Reduced blocking severity for some extensions that were marked hard
        blockers for GRE (but aren't for UXP).
      - Security issues addressed: CVE-2022-31739, CVE-2022-31741, and other
        security issues that do not have a CVE number.
      - UXP Mozilla security patch summary: 2 fixed, 1 DiD, 26 not applicable.
  * debian/control:
    - lsb-release no longer required as build-depend for conditionals in rules.
    - add libavcodec59 as an alternative dependency now that it's supported.
    - bump minimum BD for g++ required to 7.
  * Different versions of mozconfig are no longer required, as parallel builds
    are fixed with all distreleases.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 07 Jun 2022 14:23:33 -0700
