## palemoon 31.2.0

=== debian/changelog ===
palemoon (31.2.0-1.gtk3.mx21) mx; urgency=medium

  * Import major bugfix and development 3.2.0 update:
    - Changes/fixes:
      - Implemented CSS white-space: break-spaces for web compatibility.
      - Implemented Intl.RelativeTimeFormat for web compatibility.
      - Implemented "Origin header CSRF mitigation". This is still disabled by
        default to investigate potential issues with CloudFlare-backed sites.
      - Implemented support for async generator methods in JavaScript.
      - Added preliminary support for building on Apple Silicon like M1/M2 SoC.
      - Added support for building with Visual Studio 2022.
      - Improved the handling of CSS "sticky" elements in tables.
      - Improved stack size limits on all platforms. See implementation notes.
      - Updated function.toString handling to align with the updated JavaScript
        spec. This should improve web compatibility.
      - Updated Unicode support to Unicode v11, and updated the ICU library
        accordingly. Building without ICU is no longer supported.
      - Updated many in-tree third-party libraries to pick up various
        performance and stability improvements.
      - Updated site-specific user-agent overrides to work around issues with
        Google fonts, Citi bank (again!) and MeWe.
      - Removed some leftover (and unused) telemetry code in the platform and
        front-end.
      - Fixed an issue with VP9 video playback on Windows on some systems.
      - Fixed an issue with the add-ons manager not properly handling empty
        update URLs.
      - Fixed a major performance regression on *nix based systems due to
        incorrect thread handling.
      - Fixed volume handling when building with the sndio audio back-end.
      - Pale Moon no longer applies content security policies to documents that
        are explicitly loaded as data documents or to images. See
        implementation notes.
      - Cleaned up some unnecessary code from the source tree for unused build
        back-ends, Firefox marketplace "apps", and the rather ridiculous
        moz://a protocol handler.
      - Updated NSS to 3.52.8 to pick up several defense-in-depth security
        fixes.
      - UXP Mozilla security patch summary: 3 DiD, 12 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 09 Jul 2022 11:24:57 -0700

palemoon (31.1.1-1.gtk3) obs; urgency=medium

  * Security update:
    - Updated the list of blocked external protocol handlers to combat abuse of
      OS-supplied services on Windows.
    - Fixed a potential issue with revoked site certificates when connecting
      through a proxy.
    - Updated NSS to 3.52.7 to pick up some security fixes.
    - Updated site-specific user agent overrides to work around bad sniffing
      practices of dropbox and vimeo.
    - Security issues addressed: CVE-2022-34478, CVE-2022-34476,
      CVE-2022-34480 DiD, CVE-2022-34472, CVE-2022-34475 DiD,
      CVE-2022-34473 DiD, CVE-2022-34481 and a memory safety issue that doesn't
      have a CVE number.
    - UXP Mozilla security patch summary: 4 fixed, 4 DiD, 2 rejected, 11
      not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 09 Jul 2022 11:24:57 -0700
