## palemoon 31.2.0.1

=== debian/changelog ===
palemoon (31.2.0.1-2.gtk3.mx21) mx; urgency=medium

  * debian/rules: add "-mfpu=neon -funsafe-math-optimizations" to compiler flags
    for armhf builds.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 04 Aug 2022 12:51:49 -0700

palemoon (31.2.0.1-1.gtk3) obs; urgency=medium

  * Small out-of-band update to address the fact that the final builds did not
    include the intended NSS library update.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 03 Aug 2022 16:57:53 -0700

palemoon (31.2.0-1.gtk3) obs; urgency=medium

  * Import major bugfix and development 3.2.0 update:
    - Changes/fixes:
      - Implemented CSS white-space: break-spaces for web compatibility.
      - Implemented Intl.RelativeTimeFormat for web compatibility.
      - Implemented "Origin header CSRF mitigation". This is still disabled by
        default to investigate potential issues with CloudFlare-backed sites.
      - Implemented support for async generator methods in JavaScript.
      - Added preliminary support for building on Apple Silicon like M1/M2 SoC.
      - Added support for building with Visual Studio 2022.
      - Improved the handling of CSS "sticky" elements in tables.
      - Improved stack size limits on all platforms. See implementation notes.
      - Updated function.toString handling to align with the updated JavaScript
        spec. This should improve web compatibility.
      - Updated Unicode support to Unicode v11, and updated the ICU library
        accordingly. Building without ICU is no longer supported.
      - Updated many in-tree third-party libraries to pick up various
        performance and stability improvements.
      - Updated site-specific user-agent overrides to work around issues with
        Google fonts, Citi bank (again!) and MeWe.
      - Removed some leftover (and unused) telemetry code in the platform and
        front-end.
      - Fixed an issue with VP9 video playback on Windows on some systems.
      - Fixed an issue with the add-ons manager not properly handling empty
        update URLs.
      - Fixed a major performance regression on *nix based systems due to
        incorrect thread handling.
      - Fixed volume handling when building with the sndio audio back-end.
      - Pale Moon no longer applies content security policies to documents that
        are explicitly loaded as data documents or to images. See
        implementation notes.
      - Cleaned up some unnecessary code from the source tree for unused build
        back-ends, Firefox marketplace "apps", and the rather ridiculous
        moz://a protocol handler.
      - Updated NSS to 3.52.8 to pick up several defense-in-depth security
        fixes.
      - UXP Mozilla security patch summary: 3 DiD, 12 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 09 Jul 2022 11:24:57 -0700
