=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 
 export SHELL=/bin/bash
+
+ifneq (,$(filter $(DEB_HOST_ARCH), armhf))
+	export DEB_CFLAGS_MAINT_APPEND = -mfpu=neon -funsafe-math-optimizations
+	export DEB_CXXFLAGS_MAINT_APPEND = -mfpu=neon -funsafe-math-optimizations
+endif
 
 %:
 	dh $@
