## palemoon 31.3.0

=== debian/changelog ===
palemoon (31.3.0-1.gtk3.mx21) mx; urgency=medium

  * Major development, bugfix and security release:
    - Implemented .at(index) JavaScript method on built-in indexables (Array,
      String, TypedArray).
    - Implemented the use of EventSource in workers.
    - Enabled the sending of the Origin: header by default on same-origin
       requests.
    - Changed how Pale Moon is built. We are now using Visual Studio 2022 on
      Windows, and have made build system changes to reduce build times and
      pressure on the linker on all platforms.
    - Changed how Pale Moon handles standalone wave audio files (.wav). See
      implementation notes.
    - Improved string normalization.
    - Updated the handling of CSS "supports" to now accept unparenthesized
      strings (spec update).
    - Updated the handling of flex containers in web pages for web
      compatibility.
    - Fixed various issues when building for Mac OS X.
    - Fixed various C++ standard conformance issues in the source code.
    - Fixed several issues building on SunOS and Linux with various
      configurations and gcc versions.
    - Fixed an issue with regular expressions' dotAll syntax and usage. See
      implementation notes.
    - Switched custom hash map to std::unordered_map where prudent.
    - Cleaned up and updated IPC thread locking code.
    - Removed spacing for accessibility focus rings in form controls to align
      styling of them with expected metrics.
    - Removed the unnecessary control module for building with non-standard
      configurations of the platform.
    - Removed the -moz prefix from min-content and max-content CSS keywords
      where it was still in use.
    - Security fixes: CVE-2022-40956 and CVE-2022-40958.
    - UXP Mozilla security patch summary: 2 fixed, 11 not applicable.

  * Implementation notes:
    - Pale Moon would previously send standalone wave audio files (.wav) to the
      system-configured media player if they would be opened standalone (i.e.
      not inside a <media> HTML element in a page). This was done due to the
      historical use of rather exotic codecs in .wav files that would not be
      broadly supported in the browser. In the current day, however, this is
      much less of a concern. If you prefer to retain the old behavior and send
      .wav files to whatever the configured system media player is, then you 
      should set the preference media.wave.play-stand-alone to false in
      about:config.
    - There was a spec compliance issue with the dotAll regular expression
      implementation, causing it to not work properly. Specifically, using the
      new RegExp() constructor would not accept "s" as a flag, and the .dotAll
      property was not cased properly (all lowercase) causing compatibility
      issues.

  * Disable all the special flags to reduce memory use and limit build threads
    from d/mozconfig and d/rules, thanks to the compilation improvements noted
    above.

  * d/control: update long and short descriptions.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 27 Sep 2022 13:29:47 -0700

palemoon (31.2.0.1-2.gtk2) obs; urgency=medium

  * debian/rules: add "-mfpu=neon -funsafe-math-optimizations" to compiler
    flags for armhf builds.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 04 Aug 2022 12:51:49 -0700

palemoon (31.2.0.1-1.gtk2) obs; urgency=medium

  * Small out-of-band update to address the fact that the final builds did not
    include the intended NSS library update.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 03 Aug 2022 16:57:53 -0700

palemoon (31.2.0-1.gtk2) obs; urgency=medium

  * Import major bugfix and development 3.2.0 update:
    - Changes/fixes:
      - Implemented CSS white-space: break-spaces for web compatibility.
      - Implemented Intl.RelativeTimeFormat for web compatibility.
      - Implemented "Origin header CSRF mitigation". This is still disabled by
        default to investigate potential issues with CloudFlare-backed sites.
      - Implemented support for async generator methods in JavaScript.
      - Added preliminary support for building on Apple Silicon like M1/M2 SoC.
      - Added support for building with Visual Studio 2022.
      - Improved the handling of CSS "sticky" elements in tables.
      - Improved stack size limits on all platforms. See implementation notes.
      - Updated function.toString handling to align with the updated JavaScript
        spec. This should improve web compatibility.
      - Updated Unicode support to Unicode v11, and updated the ICU library
        accordingly. Building without ICU is no longer supported.
      - Updated many in-tree third-party libraries to pick up various
        performance and stability improvements.
      - Updated site-specific user-agent overrides to work around issues with
        Google fonts, Citi bank (again!) and MeWe.
      - Removed some leftover (and unused) telemetry code in the platform and
        front-end.
      - Fixed an issue with VP9 video playback on Windows on some systems.
      - Fixed an issue with the add-ons manager not properly handling empty
        update URLs.
      - Fixed a major performance regression on *nix based systems due to
        incorrect thread handling.
      - Fixed volume handling when building with the sndio audio back-end.
      - Pale Moon no longer applies content security policies to documents that
        are explicitly loaded as data documents or to images. See
        implementation notes.
      - Cleaned up some unnecessary code from the source tree for unused build
        back-ends, Firefox marketplace "apps", and the rather ridiculous
        moz://a protocol handler.
      - Updated NSS to 3.52.8 to pick up several defense-in-depth security
        fixes.
      - UXP Mozilla security patch summary: 3 DiD, 12 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 09 Jul 2022 11:24:57 -0700

palemoon (31.1.0-1.1.gtk2) obs; urgency=medium


