=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Marian Kadanka <marian.kadanka@openmailbox.org>
 Build-Depends: autoconf2.13,
-               debhelper (>= 10),
+               debhelper (>= 9),
                g++ (>= 7),
                libasound2-dev,
                libdbus-1-dev (>=0.60),
                libdbus-glib-1-dev (>= 0.60),
                libfontconfig1-dev,
                libgconf2-dev (>= 1.2.1),
+               libgtk-3-dev,
                libgtk2.0-dev (>= 2.18),
-               libgtk-3-dev,
                libpulse-dev,
                libx11-xcb-dev,
                libxt-dev,
@@ -33,11 +33,13 @@
 Provides: gnome-www-browser, www-browser, x-www-browser
 Conflicts: palemoon-nonsse2
 Replaces: palemoon-nonsse2
-Description: Firefox-based, efficient and easy to use web browser
- Pale Moon offers selected features and optimizations to maximize
- the browser's speed, stability and user experience, while maintaining
- compatibility with the thousands of Firefox extensions you have come
- to love and rely on.
+Description: Goanna-based, efficient and easy to use web browser-GTK+3 build
+ Pale Moon offers you a browsing experience in a browser completely built from
+ its own, independently developed source that has been forked off from 
+ Firefox/Mozilla code a number of years ago, with carefully selected features
+ and optimizations to improve the browser's stability and user experience,
+ while offering full customization and a growing collection of extensions and
+ themes to make the browser truly your own.
  .
  Pale Moon requires a processor that supports the SSE2 instruction set.
  Run "/proc/cpuinfo" in a terminal, and look for sse2 in the flags to ensure
