=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
 Replaces: palemoon-nonsse2
 Description: Goanna-based, efficient and easy to use web browser-GTK+3 build
  Pale Moon offers you a browsing experience in a browser completely built from
- its own, independently developed source that has been forked off from 
+ its own, independently developed source that has been forked off from
  Firefox/Mozilla code a number of years ago, with carefully selected features
  and optimizations to improve the browser's stability and user experience,
  while offering full customization and a growing collection of extensions and
