## palemoon 31.3.1

=== debian/changelog ===
palemoon (31.3.1-1.gtk3.mx21) mx; urgency=medium

  * Security and compatibility update:
    - Added detection suport for the newly-released MacOS 13 (Ventura).
    - Fixed a potential heap Use-After-Free risk in Expat. (CVE-2022-40674) DiD
    - Fixed potentially undefined behavior in our thread locking code. DiD
    - Fixed a potentially exploitable crash in the refresh driver.
    - Fixed potentially undefined behavior when base-64 decoding. DiD
    - Implemented a texture size cap for WebGL to prevent potential issues with
      some graphics drivers. DiD
    - Updated site-specific overrides to address issues with ZoHo.
    - UXP Mozilla security patch summary: 1 fixed, 2 DiD, 6 not applicable.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 03 Nov 2022 14:47:54 -0700

palemoon (31.3.0.1-1.gtk3) obs; urgency=medium

  * Minor bugfix update to back out the changes to handling of flex containers
    in 31.3.0 since it caused severe usability issues on several websites.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 28 Sep 2022 14:23:09 -0700
